<template>
  <div class="list-item">
    <div> codigo: {{ trilha.codigo_trilha }} </div>
    <div> nome: {{ trilha.nome }} </div>
    <div> descrição: {{ trilha.descricao }} </div>
    <div> minimo de disciplinas: {{ trilha.minimo_disciplinas }} </div>
    <div> minimo de modulos: {{ trilha.minimo_modulos }} </div>

    <router-link
      class="edit_button"
      tag="div"
      to="/trilhas/edit"
      @click.native="editTrilha">
      Edit
    </router-link>

    <router-link
      class="new_button"
      tag="div"
      to="/trilhas/new"
      @click.native="newTrilha">
      New
    </router-link>

    <router-link
      class="delete_button"
      tag="div"
      to="/trilhas"
      @click.native="deleteTrilha">
      Delete
    </router-link>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';

export default {
  props: ['trilha'],

  methods: {
    editTrilha() {
      this.$store.commit('setActiveTrilha', { trilha: this.trilha });
      this.$store.commit('setMode', { mode: 'trilha'});
    },

    newTrilha() {
      this.$store.commit('setMode', {mode: 'trilha'})
    },

    async deleteTrilha() {
      const response = await this.$axios.$post('/rpc/deleta_trilha', {
        nusp: this.getNusp,
        cdg_trilha: this.trilha.codigo_trilha
      },
      { headers: {Authorization: `Bearer ${this.getToken}`} }
      );

      if(response)
        this.$router.go('/trilhas');
    }
  },

  computed: {
    ...mapGetters([
      'getToken',
      'getNusp'
    ])
  },
}
</script>
